package com.ssj.bean.sys.feedback.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;
@Entity
@Table(name = "scon_voice_feedback_detail")
public class SconVoiceFeedbackDetail extends BaseEntity{
	
	private static final long serialVersionUID = -3987673595665878372L;


	private String feedbackId;


	private String fileKey;
	
	/**
	 * 语音时长
	 */
	private String duration;

	/**
	 * 反馈解答类型 1：题目分析 2：思路引导 3：结果呈现 4：总体建议
	 */
	private String type;
	/**
	 * 排序
	 */
	private Integer num;


	private Date createTime;
	@Column(name = "feedback_id")
	public String getFeedbackId() {
		return feedbackId;
	}

	public void setFeedbackId(String feedbackId) {
		this.feedbackId = feedbackId;
	}
	@Column(name = "file_key")
	public String getFileKey() {
		return fileKey;
	}

	public void setFileKey(String fileKey) {
		this.fileKey = fileKey;
	}
	@Column(name = "duration")
	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}
	@Column(name = "type")
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}
}
